ReferencesOpenapiLead settings
List budget options
List budgets and their sizes, including annual kilometres, used when generating an estimate in the specified organisation and workspace.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Path Parameters
workspaceId*integer
Range
0 < value <= 9007199254740991orgId*string
Query Parameters
page?string
limit?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/organisation/string/workspace/1/origination/lead-settings/options/budgets"{ "items": [ { "id": -9007199254740991, "referenceId": "string", "name": "string", "description": "string", "budgetCategory": "string", "lineItems": [ { "type": "string", "amountIncGst": "string" } ], "sizes": [ { "budgetSize": "string", "annualKilometers": -9007199254740991, "electricity": { "evRate": 0, "unit": "string", "atoMethod": true }, "fuel": { "fuelRate": 0, "unit": "string", "petrolPrice": 0, "dieselPrice": 0 }, "hybrid": { "fuelRate": 0, "unit": "string" }, "maintenance": { "rate": 0, "unit": "string" }, "tyres": { "costPerTyre": 0, "replacementTyres": 0 }, "registration": { "type": "string", "count": 0 }, "vehicleInsurance": { "provider": "string", "hasAdvancedSettings": true } } ] } ], "pagination": { "totalItems": 0, "totalPages": 0, "pageSize": 0, "limit": 0, "currentPage": 0 }}List invoices GET
List invoices in the specified organisation and workspace, with optional search, status, type, and pagination filters.
Get current lead settings GET
Get the current lead settings for the specified organisation and workspace, including the default financier, product, budget, and budget size used when generating an estimate.

